function [ ctf ] = ctf_baseline(ctf)

% ctf_baseline - remove mean of pretrigger period from all ctf.data
%
% [ ctf ] = ctf_baseline(ctf)
%


% $Revision: 1.3 $ $Date: 2004/05/24 23:07:43 $

% Licence: GNU GPL, no express or implied warranties
% Created: 01/2004, copyright 2004 Darren.Weber_at_radiology.ucsf.edu
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


for epoch = 1:size(ctf.data,3),
  
  pretrigger_mean = mean(ctf.data(1:ctf.setup.pretrigger_samples,:,epoch));
  
  pretrigger_mean = repmat(pretrigger_mean,ctf.setup.number_samples,1);
  
  ctf.data(:,:,epoch) = ctf.data(:,:,epoch) - pretrigger_mean;
  
end
